using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using S;
namespace NetShips {
    public partial class Game: Form {
        private Communicator _kom;

        public Game(Communicator Kom) {
            _kom = Kom;
            InitializeComponent();
        }

        private void Game_Load(object sender, EventArgs e) {
            frmCreate Create = new frmCreate(_kom);
            int posLeft, posTop;
            Create.ShowDialog();

            // uloen pozice aktulnho okna
            // na t sam se zobraz hrac okno
            posLeft = Create.Left;
            posTop = Create.Top;


            if(_kom.Connected) {
                Form1 frm = new Form1(_kom);

                frm.Left = posLeft;
                frm.Top = posTop;

                frm.ShowDialog();

                // uloen pozice aktulnho okna
                // na t sam se zobraz nov hrac okno
                posLeft = frm.Left;
                posTop = frm.Top;

                frm.Dispose();
                frm = null;

                while(Program.Retaliation) {
                    Program.Retaliation = false;

                    if(!_kom.Connected) {
                        MessageBox.Show("Protihr se odpojil,\ntake odveta u nebude...", "LANLod", MessageBoxButtons.OK);
                        break;
                    }
                    Form1 frmOdveta = new Form1(_kom);

                    frmOdveta.Top = posTop;
                    frmOdveta.Left = posLeft;

                    frmOdveta.ShowDialog();

                    // uloen pozice aktulnho okna
                    // na t sam se zobraz nov hrac okno
                    posLeft = frmOdveta.Left;
                    posTop = frmOdveta.Top;

                    frmOdveta.Dispose();
                    frmOdveta = null;
                }
                this.Close();
            }
            else {
                this.Close();
            }


        }
    }
}