using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.Threading;
using S;
namespace NetShips {
    public static class frmListening {
        static Communicator _com;
        static Thread tListen;
        static ListeningForm frm;

        public static void ShowMe(Communicator Kom, Form owner) {
            _com = Kom;

            tListen = new Thread(new ParameterizedThreadStart(Show));
            tListen.Name = "ListenWindow";
            tListen.Start(owner);
        }

        private static void Show(object Owner) {
            Form owner = (Form)Owner;
            frm = new ListeningForm(_com);

            frm.Left = owner.Left + owner.Width / 2 - frm.Width / 2;
            frm.Top = owner.Top + owner.Height / 2 - frm.Height / 2;
            
            frm.ShowDialog();

        }
        delegate void CloseCallback();
        public static void HideMe() {

            if(frm.InvokeRequired) {
                CloseCallback d = new CloseCallback(frm.Close);
                frm.Invoke(d, new object[] { });
            }
            else {
                frm.Close();
            }

            tListen.Join();
        }
    }
}